from physique_chimie_euler import euler
# +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
import numpy as np
from matplotlib import pyplot as plt 
from pylab import *
# ------------------------réactin successives A-> B -> C -------------------
# -----------  A=x ,B=y et C=z :dx/dt=-k1*x,dy/dt = -k2*y+k1*x et dz/dt=k2*y
def F(y):      # on pose y=(x,y,z)  
    return -k1*y[0],k1*y[0]-k2*y[1], k2*y[1] # retourne y'=(x',y',z')
# ----------------------------- paramètres de la simulation -----------------
n=100
t=np.linspace(0,10,n)
k1,k2 = 0.5 , 1
T,Y = euler(F,[2,0,0],t)
# +++++++++++++++++++++++++++++++++++++ tracé des courbes +++++++++++++++++++
plt.plot(T,Y[0],'r-',label = 'A(t)')
plt.plot(T,Y[1],'b-.',label = 'B(t)')
plt.plot(T,Y[2],'g:',label = 'C(t)')
legend()
plt.grid()
plt.show()